[SA15936] phpSlash "author_id" User Profile Manipulation Vulnerability

2005-07-08T00:00:00
ID SECURITYVULNS:DOC:9113
Type securityvulns
Reporter Securityvulns
Modified 2005-07-08T00:00:00

Description


Bist Du interessiert an einem neuen Job in IT-Sicherheit?

Secunia hat zwei freie Stellen als Junior und Senior Spezialist in IT- Sicherheit: http://secunia.com/secunia_vacancies/


TITLE: phpSlash "author_id" User Profile Manipulation Vulnerability

SECUNIA ADVISORY ID: SA15936

VERIFY ADVISORY: http://secunia.com/advisories/15936/

CRITICAL: Moderately critical

IMPACT: Manipulation of data, Security Bypass

WHERE: >From remote

SOFTWARE: phpSlash 0.x http://secunia.com/product/5343/

DESCRIPTION: crashfr has reported a vulnerability in phpSlash, which can be exploited by malicious people to manipulate settings for other users.

Input passed to the "author_id" parameter isn't properly verified before being used in the "saveProfile()" function. This can be exploited to modify profiles for arbitrary users.

The vulnerability has been reported in version 0.7.1, 0.7.2 and 0.8.0. Other versions may also be affected.

SOLUTION: Update to version 0.8.1. http://sourceforge.net/project/showfiles.php?group_id=10566

PROVIDED AND/OR DISCOVERED BY: crashfr


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.